Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class GlacierContinuation

    java.lang.Object
      rice.p2p.glacier.v2.GlacierContinuation

    public abstract class GlacierContinuation

extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`protected int` | `myUID` DESCRIBE THE FIELD
`protected boolean` | `terminated` DESCRIBE THE FIELD

Constructor Summary
`GlacierContinuation()`

Method Summary
`int` | `getMyUID()` Gets the MyUID attribute of the GlacierContinuation object
`abstract long` | `getTimeout()` Gets the Timeout attribute of the GlacierContinuation object
`boolean` | `hasTerminated()` DESCRIBE THE METHOD
`void` | `init()` DESCRIBE THE METHOD
`abstract void` | `receiveException(java.lang.Exception exception)` DESCRIBE THE METHOD
`abstract void` | `receiveResult(java.lang.Object result)` DESCRIBE THE METHOD
`void` | `setup(int uid)` DESCRIBE THE METHOD
`void` | `syncReceiveException(java.lang.Exception exception)` DESCRIBE THE METHOD
`void` | `syncReceiveResult(java.lang.Object result)` DESCRIBE THE METHOD
`void` | `syncTimeoutExpired()` DESCRIBE THE METHOD
`void` | `terminate()` DESCRIBE THE METHOD
`abstract void` | `timeoutExpired()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` Converts to a String representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myUID

    protected int myUID

  DESCRIBE THE FIELD

### terminated

    protected boolean terminated

  DESCRIBE THE FIELD

Constructor Detail

### GlacierContinuation

    public GlacierContinuation()

Method Detail

### getTimeout

    public abstract long getTimeout()

  Gets the Timeout attribute of the GlacierContinuation object

  Returns:
    The Timeout value

### getMyUID

    public int getMyUID()

  Gets the MyUID attribute of the GlacierContinuation object

  Returns:
    The MyUID value

### setup

    public void setup(int uid)

  DESCRIBE THE METHOD

  Parameters:
    `uid` - DESCRIBE THE PARAMETER

### receiveResult

    public abstract void receiveResult(java.lang.Object result)

  DESCRIBE THE METHOD

  Parameters:
    `result` - DESCRIBE THE PARAMETER

### receiveException

    public abstract void receiveException(java.lang.Exception exception)

  DESCRIBE THE METHOD

  Parameters:
    `exception` - DESCRIBE THE PARAMETER

### timeoutExpired

    public abstract void timeoutExpired()

  DESCRIBE THE METHOD

### init

    public void init()

  DESCRIBE THE METHOD

### syncReceiveResult

    public void syncReceiveResult(java.lang.Object result)

  DESCRIBE THE METHOD

  Parameters:
    `result` - DESCRIBE THE PARAMETER

### syncReceiveException

    public void syncReceiveException(java.lang.Exception exception)

  DESCRIBE THE METHOD

  Parameters:
    `exception` - DESCRIBE THE PARAMETER

### syncTimeoutExpired

    public void syncTimeoutExpired()

  DESCRIBE THE METHOD

### hasTerminated

    public boolean hasTerminated()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### terminate

    public void terminate()

  DESCRIBE THE METHOD

### toString

    public java.lang.String toString()

  Converts to a String representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.